Commit 2c2b0cd0 authored by Paul Eggert's avatar Paul Eggert
Browse files

Require libgnutls unless --with-gnutls=no

* configure.ac: Report an error if the gnutls library is missing,
unless --with-gnutls=no is specified.
parent 4d342102
......@@ -3568,9 +3568,9 @@ fi
AC_SUBST(LIBGIF)
dnl Check for required libraries.
MISSING=
WITH_NO=
if test "${HAVE_X11}" = "yes"; then
MISSING=""
WITH_NO=""
test "${with_xpm}" != "no" && test "${HAVE_XPM}" != "yes" &&
MISSING="libXpm" && WITH_NO="--with-xpm=no"
test "${with_jpeg}" != "no" && test "${HAVE_JPEG}" != "yes" &&
......@@ -3581,15 +3581,16 @@ if test "${HAVE_X11}" = "yes"; then
MISSING="$MISSING libgif/libungif" && WITH_NO="$WITH_NO --with-gif=no"
test "${with_tiff}" != "no" && test "${HAVE_TIFF}" != "yes" &&
MISSING="$MISSING libtiff" && WITH_NO="$WITH_NO --with-tiff=no"
if test "X${MISSING}" != X; then
AC_MSG_ERROR([The following required libraries were not found:
fi
test "${with_gnutls}" != "no" && test "${HAVE_GNUTLS}" != "yes" &&
MISSING="$MISSING gnutls" && WITH_NO="$WITH_NO --with-gnutls=no"
if test "X${MISSING}" != X; then
AC_MSG_ERROR([The following required libraries were not found:
$MISSING
Maybe some development libraries/packages are missing?
If you don't want to link with them give
$WITH_NO
as options to configure])
fi
fi
### Use -lgpm if available, unless '--with-gpm=no'.
......
......@@ -25,6 +25,9 @@ otherwise leave it unmarked.
* Installation Changes in Emacs 25.2
** By default libgnutls is now required when building Emacs.
Use 'configure --with-gnutls=no' to build even when GnuTLS is missing.
** The new option 'configure --enable-gcc-warnings=warn-only' causes
GCC to issue warnings without stopping the build. This behavior is
now the default in developer builds. As before, use
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment